<?php

namespace Modules\Signature\Rules;

use Entity\Model\AoEntet;
use Entity\Model\Fourniss;
use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class SignatureBap
{
    /** @var ServerRequestInterface $request */
    protected ServerRequestInterface $request;

    /** @var \PDO $pdo */
    protected \PDO $pdo;

    /** @var Main $main */
    protected $main;

    public function __construct(ServerRequestInterface  $request, \PDO $pdo)
    {
        $this->request              = $request;
        $this->pdo                  = $pdo;
        $this->main                 = new Main($this->request, $this->pdo);
    }

    /**
     * init
     *
     * @return bool
     */
    public function init(): bool
    {
        return true;
    }


    /**
     * @return bool
     */
    public function listeDoc(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajoutSignataire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function formRefusSignature(): bool
    {
        return true;
    }
}
